How can we help you today?
Start a new topic
Answered

SHA2 and PA1 Support

We upgraded our PKI to support SHA2.  Now, our PA1s cannot connect to our Skype For Business environment.  Are there any workarounds for PA1s to support SHA2?

We are at 8.7.5.35

Error:

Could not verify certificate  as its signature algorithm 1.2.840.113549.1.1.11 (unknownObjectIdentifier)is not supported. 

Refusing connection. Invalid or unknown Certificate received 

SIP: transport error: 1000004 -> TLS:1##.1##.1##.##:5061



Best Answer

Hi Wayne.


8.7.5.35  version you are using, its not a valid UC firmware. You would need http://downloads.snom.com/snomuc/snomPA1-UC-8.8.1.19-SIP-f.bin


About this firmware, i would mention PA1 & UC FW is 100% on your own risk! it was never tested, never certified, never officially supported!


Also mention you would look if  "TSL ServerAuth" is not activated to avoid issues. TLS Certificates on server will not be parsed, so any it would be accepted.


Let me know if this helps you


Have a nice day




1 person has this question

Hi Wayne. Let me check internally and let you know back ASAP

Answer

Hi Wayne.


8.7.5.35  version you are using, its not a valid UC firmware. You would need http://downloads.snom.com/snomuc/snomPA1-UC-8.8.1.19-SIP-f.bin


About this firmware, i would mention PA1 & UC FW is 100% on your own risk! it was never tested, never certified, never officially supported!


Also mention you would look if  "TSL ServerAuth" is not activated to avoid issues. TLS Certificates on server will not be parsed, so any it would be accepted.


Let me know if this helps you


Have a nice day



Login or Signup to post a comment